Create a new transaction between balances in your Blnk Core instance via the Cloud Proxy.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/transactions?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"amount": 100.50,
"currency": "USD",
"precision": 100,
"reference": "ref_myApp-integration-test-001",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"description": "Integration test: transfer from Balance A to Balance B",
"allow_overdraft": true
}'
{
"amount": 100.50,
"rate": 0,
"precision": 100,
"precise_amount": 10050,
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"parent_transaction": "",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"reference": "ref_myApp-integration-test-001",
"currency": "USD",
"description": "Integration test: transfer from Balance A to Balance B",
"status": "QUEUED",
"hash": "hash_...",
"allow_overdraft": true,
"inflight": false,
"created_at": "2024-11-26T08:40:00.000000000Z",
"scheduled_for": "0001-01-01T00:00:00Z",
"inflight_expiry_date": "0001-01-01T00:00:00Z"
}
Create a transaction to transfer funds from a source balance to a destination balance. Transactions are applied asynchronously and update both balances.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/transactions?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"amount": 100.50,
"currency": "USD",
"precision": 100,
"reference": "ref_myApp-integration-test-001",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"description": "Integration test: transfer from Balance A to Balance B",
"allow_overdraft": true
}'
Bearer <access_token>. Your OAuth key must include proxy:write scope (or *).USD, EUR, GBP).{
"amount": 100.50,
"rate": 0,
"precision": 100,
"precise_amount": 10050,
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"parent_transaction": "",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"reference": "ref_myApp-integration-test-001",
"currency": "USD",
"description": "Integration test: transfer from Balance A to Balance B",
"status": "QUEUED",
"hash": "hash_...",
"allow_overdraft": true,
"inflight": false,
"created_at": "2024-11-26T08:40:00.000000000Z",
"scheduled_for": "0001-01-01T00:00:00Z",
"inflight_expiry_date": "0001-01-01T00:00:00Z"
}
QUEUED, APPLIED, FAILED).curl -X POST "https://api.cloud.blnkfinance.com/proxy/transactions?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"amount": 100.50,
"currency": "USD",
"precision": 100,
"reference": "ref_myApp-integration-test-001",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"description": "Integration test: transfer from Balance A to Balance B",
"allow_overdraft": true
}'
{
"amount": 100.50,
"rate": 0,
"precision": 100,
"precise_amount": 10050,
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"parent_transaction": "",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"reference": "ref_myApp-integration-test-001",
"currency": "USD",
"description": "Integration test: transfer from Balance A to Balance B",
"status": "QUEUED",
"hash": "hash_...",
"allow_overdraft": true,
"inflight": false,
"created_at": "2024-11-26T08:40:00.000000000Z",
"scheduled_for": "0001-01-01T00:00:00Z",
"inflight_expiry_date": "0001-01-01T00:00:00Z"
}